de.esprit.common.gui.util

## Interface Steppable

- All Known Implementing Classes:
    ABOList, ABORecordTable, ABOTable, AbstractMarkableTable, AbstractObjectTable, AbstractPermOwnerList, AbstractTable, ActiveAbosList, ActiveAgentsList, ActiveOsProcessesList, ActiveStreamsList, ActiveTasksList, ActiveTransfersList, ActiveWorkflowsList, ActivityList, ApplicationTable, BatchTaskTable, ClientActivityList, ClientCommandList, ClientConnectionList, ClientList, ClientLockList, ClientRecordList, ClientRecordTable, ClientTable, ClientZList, ConnectedClientsList, ConnectedCoClientsList, ConnectedCoServersList, DataSourceList, DBRecordList, DBRecordTable, EmailAddrList, GroupList, GroupMemberList, JavaVersionList, LogfileList, OnlineUsersList, PathRegistrationList, PermAssignedList, PermDefsList, PermGroupList, PermUserList, RemoteTaskTable, RunningRemoteTasksList, ServerLockList, ServerTransferList, UserList, ZList

      public interface Steppable

  This interface defines methods for stepping through a List of items.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIndexChangeListener(IndexChangeEvent.Listener l)`
    `void` | `first()`
    `int` | `getCurrentIndex()`
    `int` | `getRecordCount()`
    `boolean` | `isChangeConfirmed()`
    `boolean` | `isEmpty()`
    `void` | `last()`
    `boolean` | `next()`
    `boolean` | `previous()`
    `boolean` | `setCurrentIndex(int i)`

- - ### Method Detail

    - #### isChangeConfirmed

          boolean isChangeConfirmed()

    - #### first

          void first()

    - #### next

          boolean next()

    - #### previous

          boolean previous()

    - #### last

          void last()

    - #### setCurrentIndex

          boolean setCurrentIndex(int i)

    - #### getCurrentIndex

          int getCurrentIndex()

    - #### getRecordCount

          int getRecordCount()

    - #### isEmpty

          boolean isEmpty()

    - #### addIndexChangeListener

          void addIndexChangeListener(IndexChangeEvent.Listener l)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.